Fetch video
curl --request GET \
--url https://api.vidbeo.com/v2/videos/{VIDEO_ID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vidbeo.com/v2/videos/{VIDEO_ID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vidbeo.com/v2/videos/{VIDEO_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"id": "abcde12345abcde12345a",
"type": "vod",
"name": "Example",
"description": "Example description",
"outputs": [
{
"label": "hls",
"url": "https://example.com/path/to/file.m3u8"
}
],
"thumbnail": "https://example.com/path/to/file.jpg",
"sprite": "https://example.com/path/to/file.jpg",
"duration": 30,
"privacy": "private",
"tracks": [
{
"id": "abcde12345abcde12345a",
"language": "en-US",
"label": "English",
"kind": "subtitles",
"url": "<string>"
}
],
"categories": [
"example"
],
"enabled": true,
"transcoder": "abcde12345abcde12345a",
"content_rating": "all",
"spherical": false,
"projection": "equirectangular",
"language": "en-US",
"cards": [
{
"id": "abcde12345abcde12345a",
"name": "Example",
"show_at": "00:00:05",
"hide_at": "00:00:05",
"skip": false,
"top_text": "Example text",
"bottom_text": "Example text",
"link": "https://example.com"
}
],
"gates": [
{
"id": "abcde12345abcde12345a",
"name": "Example",
"show_at": "00:00:05",
"skip": false,
"top_text": "Example text",
"bottom_text": "Example text",
"fields": [
{
"label": "Email",
"value": "email"
}
],
"connect_service_id": "abcde12345abcde12345a",
"connect_list_id": "abcde"
}
],
"hotspots": [
{
"id": "abcde12345abcde12345a",
"name": "Example",
"show_at": "00:00:05",
"hide_at": "00:00:05",
"x": 25,
"y": 25,
"action": "link",
"link": "https://example.com",
"target": "_parent",
"opacity": "translucent"
}
],
"chapters": [
{
"id": "abcde12345abcde12345a",
"name": "Example",
"start": "00:00:05"
}
],
"page_url": "https://example.com/page",
"progress": 100,
"status": "ready",
"tags": [
"example"
],
"scheduled_time": "2024-01-01T00:00:00.000Z",
"clip": false,
"clip_from": "abcde12345abcde12345a",
"clip_start": "00:00:30",
"clip_end": "00:01:30",
"created_by": "abcde12345abcde12345a",
"created_time": "2024-01-01T00:00:00.000Z",
"updated_by": "abcde12345abcde12345a",
"updated_time": "2024-01-01T00:00:00.000Z"
},
"links": {},
"errors": []
}{
"success": false,
"result": {},
"links": {},
"errors": [
{
"message": "Not found"
}
]
}Videos
Fetch video
Get a video’s details
GET
/
videos
/
{VIDEO_ID}
Fetch video
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the video
Example:
"abcde12345abcde12345a"
⌘I